[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.Create

Create a new instance of TIniFile

## Declaration

Source position: inifiles.pp line 232

`public constructor TIniFile.Create(`
`const AFileName: string;`
`AOptions: TIniFileOptions = []`
`); override; overload; constructor TIniFile.Create(`
`AStream: TStream;`
`AOptions: TIniFileOptions = []`
`); overload; constructor TIniFile.Create(`
`AStream: TStream;`
`AEscapeLineFeeds: Boolean`
`); overload; constructor TIniFile.Create(`
`AStream: TStream;`
`ADefaultEncoding: TEncoding;`
`AOptions: TIniFileOptions = []`
`); constructor TIniFile.Create(`
`AStream: TStream;`
`ADefaultEncoding: TEncoding;`
`AOwnsEncoding: Boolean;`
`AOptions: TIniFileOptions = []`
`);`

## Arguments

`AFileName` |  | Filename to read from
`AOptions` |  | Initial value for Options property.

## Arguments

`AStream` |  | Stream to read ini data from
`AOptions` |  | Initial value for Options property.

## Arguments

`AStream` |  | Stream to read ini data from
`AEscapeLineFeeds` |  | Should escaping of linefeeds be enabled ?

## Arguments

`AStream` |  | Stream to read ini data from
`ADefaultEncoding` |  | Default encoding. If empty, the system encoding is used.
`AOptions` |  | Initial value for Options property.

## Arguments

`AStream` |  | Stream to read ini data from
`ADefaultEncoding` |  | Default encoding. If empty, the system encoding is used.
`AOwnsEncoding` |  | Does the ini file instance own the encoding or not ?
`AOptions` |  | Initial value for Options property.

## Description

Create creates a new instance of TIniFile and initializes the class by reading the file from disk if the filename AFileName is specified, or from stream in case AStream is specified. It also sets most variables to their initial values, i.e. AEscapeLineFeeds is saved prior to reading the file, and Cacheupdates is set to False.

Default options for the TCustomIniFile.Options property can be specified in AOptions.

## See also

TCustomIniFile |  | Abstract ini file object
TMemIniFile |  | Inifile cached in memory
TCustomIniFile.Options |  | Options currently in effect